<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.modules.platform.mapper.UserLicenseMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="userLicenseResultMap" type="org.springblade.modules.platform.entity.UserLicense">
        <id column="id" property="id"/>
        <result column="user_id" property="userId"/>
        <result column="auth_name" property="authName"/>
        <result column="auth_type" property="authType"/>
        <result column="path1" property="path1"/>
        <result column="path2" property="path2"/>
        <result column="path3" property="path3"/>
    </resultMap>


    <select id="selectUserLicensePage" resultMap="userLicenseResultMap">
        select * from t_user_license where is_deleted = 0
    </select>

</mapper>
